# openkdj default directory ... or create a new fontconfig.properties.src... fontconfig.%{vendor}.properties.src
%define fontdir %{_datadir}/fonts/japanese/TrueType/
Name:          sazanami-fonts
Version:       20040629
Release:       2mamba
Summary:       Sazanami Japanese TrueType fonts
Group:         System/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.jp/projects/efont/
Source0:       http://globalbase.dl.sourceforge.jp/efont/10087/sazanami-%{version}.tar.bz2
Source1:       sazanami-fonts-20040629-fonts.alias
Source2:       sazanami-gothic-fontconfig-1.conf
Source3:       sazanami-mincho-fontconfig-1.conf
Patch0:        sazanami-fonts-20040629-uni7E6B-gothic.patch
Patch1:        sazanami-fonts-20040629-uni7E6B-mincho.patch
Patch2:        sazanami-fonts-20040629-uni8449-mincho.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: /usr/bin/fonttools
BuildRequires: mkfontdir
BuildRequires: ttmkfdir

%description
The Sazanami type faces are automatically generated from Wadalab font kit.
They also contains some embedded Japanese bitmap fonts.

This package contains Japanese TrueType font for Gothic and Mincho type face.

%prep
%setup -q -n sazanami-%{version}

ttx -i -a -e sazanami-gothic.ttf
patch -b -z .uni7E6B sazanami-gothic.ttx %{PATCH0}
touch -r sazanami-gothic.ttf sazanami-gothic.ttx
rm sazanami-gothic.ttf
ttx -b sazanami-gothic.ttx
touch -r sazanami-gothic.ttx sazanami-gothic.ttf

ttx -i -a -e sazanami-mincho.ttf
patch -b -z .uni7E6B sazanami-mincho.ttx %{PATCH1}
patch -b -z .uni8449 sazanami-mincho.ttx %{PATCH2}
touch -r sazanami-mincho.ttf sazanami-mincho.ttx
rm sazanami-mincho.ttf
ttx -b sazanami-mincho.ttx
touch -r sazanami-mincho.ttx sazanami-mincho.ttf

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{fontdir} %{buildroot}%{_sysconfdir}/fonts/{conf.d,conf.avail}

install -m0644 sazanami-gothic.ttf %{buildroot}%{fontdir}/
install -m0644 sazanami-mincho.ttf %{buildroot}%{fontdir}/

install -m0644 %{SOURCE1} %{buildroot}%{fontdir}/fonts.alias
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/fonts/conf.avail/65-4-sazanami-gothic.conf
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/fonts/conf.avail/65-4-sazanami-mincho.conf

pushd %{buildroot}%{_sysconfdir}/fonts/conf.avail
  for f in *.conf; do
    ln -s ../conf.avail/$f ../conf.d/$f
  done
popd

ttmkfdir -d %{buildroot}%{fontdir} -o %{buildroot}%{fontdir}/fonts.scale
mkfontdir %{buildroot}%{fontdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ -x %{_bindir}/fc-cache ]; then
   %{_bindir}/fc-cache %{_datadir}/fonts
fi
:

%postun
if [ "$1" = "0" ]; then
   if [ -x %{_bindir}/fc-cache ]; then
      %{_bindir}/fc-cache %{_datadir}/fonts
   fi
fi
:

%files
%defattr(-,root,root)
%{_sysconfdir}/fonts/conf.avail/*-sazanami-*.conf
%{_sysconfdir}/fonts/conf.d/*-sazanami-*.conf
%dir %{fontdir}
%{fontdir}/sazanami-*.ttf
%verify(not md5 size mtime) %{fontdir}/fonts.alias
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%verify(not md5 size mtime) %{fontdir}/fonts.scale
%doc doc
#README

%changelog
* Fri Feb 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20040629-2mamba
- updated fontconfig configuration files for fontconfig >= 2.10

* Mon Jan 24 2011 gil <puntogil@libero.it> 20040629-1mamba
- package created by autospec
